package com.kingdee.eas.hr.project;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class WorkHoursConfirmEntryFactory
{
    private WorkHoursConfirmEntryFactory()
    {
    }
    public static com.kingdee.eas.hr.project.IWorkHoursConfirmEntry getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.hr.project.IWorkHoursConfirmEntry)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("A88F114F") ,com.kingdee.eas.hr.project.IWorkHoursConfirmEntry.class);
    }
    
    public static com.kingdee.eas.hr.project.IWorkHoursConfirmEntry getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.hr.project.IWorkHoursConfirmEntry)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("A88F114F") ,com.kingdee.eas.hr.project.IWorkHoursConfirmEntry.class, objectCtx);
    }
    public static com.kingdee.eas.hr.project.IWorkHoursConfirmEntry getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.hr.project.IWorkHoursConfirmEntry)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("A88F114F"));
    }
    public static com.kingdee.eas.hr.project.IWorkHoursConfirmEntry getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.hr.project.IWorkHoursConfirmEntry)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("A88F114F"));
    }
}